scala.util.control

# Breaks

#### object Breaks extends Breaks

An object that can be used for the break control abstraction. Example usage:

    import Breaks.{break, breakable}

    breakable {
      for (...) {
        if (...) break
      }
    }

Source
  Breaks.scala

Linear Supertypes
Breaks, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Breaks
2. Breaks
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### sealed trait TryBlock[T] extends AnyRef

   Definition Classes
     Breaks

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def break(): Nothing

   Break from dynamically closest enclosing breakable block using this exact `Breaks` instance.

   Break from dynamically closest enclosing breakable block using this exact `Breaks` instance.

   Definition Classes
     Breaks
   Note

     This might be different than the statically closest enclosing block!

6. #### def breakable(op: ⇒ Unit): Unit

   A block from which one can exit with a `break`.

   A block from which one can exit with a `break`. The `break` may be executed further down in the call stack provided that it is called on the exact same instance of `Breaks`.

   Definition Classes
     Breaks

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

18. #### def toString(): String

    Definition Classes
      AnyRef → Any

19. #### def tryBreakable[T](op: ⇒ T): TryBlock[T]

    This variant enables the execution of a code block in case of a `break()`:

    This variant enables the execution of a code block in case of a `break()`:

        tryBreakable {
          for (...) {
            if (...) break()
          }
        } catchBreak {
          doCleanup()
        }

    Definition Classes
      Breaks

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Breaks

### Inherited from AnyRef

### Inherited from Any

### Ungrouped